# DataExchange
TKIGES
IGESSelect

# IGESSelect_ComputeStatus Class Reference

Computes Status of IGES Entities for a whole IGESModel.
This concerns SubordinateStatus and UseFlag, which must have
some definite values according the way they are referenced.
(see definitions of Logical use, Physical use, etc...)
Works by calling a BasicEditor from IGESData. Works on the
whole produced (target) model, because computation is global.
.

`#include <IGESSelect_ComputeStatus.hxx>`

Inheritance diagram for IGESSelect_ComputeStatus:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_ComputeStatus ()
| Creates an ComputeStatus, which uses the system Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : it first evaluates the required values for Subordinate Status and Use Flag (in Directory Part of each IGES Entity). Then it corrects them, for the whole target. Works with a Protocol. Implementation uses BasicEditor .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Compute Subordinate Status and Use Flag" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_ComputeStatus::IGESSelect_ComputeStatus | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_ComputeStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_ComputeStatus::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_ComputeStatus::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_ComputeStatus.hxx